<?php
/**
 * Clase Base Bean para BaseCrCreditoPagoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCreditoPagoBN
 * @author     Willy
 * @version    SVN:: BaseCrCreditoPagoBN.class.php,v 1.1 2013-01-04 11:12:50 william.taype Exp $
 */
abstract class BaseCrCreditoPagoBN
{
  protected $Idpago;
  protected $Tipopago;
  protected $Fechatrx;
  protected $Montopago;
  protected $Fechacreacion;
  protected $Usauriocreacion;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $Numerorecibo;
  protected $Banco;
  protected $Numerooperacion;
  protected $Fechaoperacion;
  protected $Observacion;
  protected $Idcuota;
  protected $Idcreditocrono;
  protected $Idcolaborador;
  protected $Mensaje;
  protected $Error;

  public function getIdpago(){
    return $this->Idpago;
  }
  public function setIdpago($v1){
    $this->Idpago = $v1; 
  }

  public function getTipopago(){
    return $this->Tipopago;
  }
  public function setTipopago($v1){
    $this->Tipopago = $v1; 
  }

  public function getFechatrx(){
    return $this->Fechatrx;
  }
  public function setFechatrx($v1){
    $this->Fechatrx = $v1; 
  }

  public function getMontopago(){
    return $this->Montopago;
  }
  public function setMontopago($v1){
    $this->Montopago = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getUsauriocreacion(){
    return $this->Usauriocreacion;
  }
  public function setUsauriocreacion($v1){
    $this->Usauriocreacion = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getNumerorecibo(){
    return $this->Numerorecibo;
  }
  public function setNumerorecibo($v1){
    $this->Numerorecibo = $v1; 
  }

  public function getBanco(){
    return $this->Banco;
  }
  public function setBanco($v1){
    $this->Banco = $v1; 
  }

  public function getNumerooperacion(){
    return $this->Numerooperacion;
  }
  public function setNumerooperacion($v1){
    $this->Numerooperacion = $v1; 
  }

  public function getFechaoperacion(){
    return $this->Fechaoperacion;
  }
  public function setFechaoperacion($v1){
    $this->Fechaoperacion = $v1; 
  }

  public function getObservacion(){
    return $this->Observacion;
  }
  public function setObservacion($v1){
    $this->Observacion = $v1; 
  }

  public function getIdcuota(){
    return $this->Idcuota;
  }
  public function setIdcuota($v1){
    $this->Idcuota = $v1; 
  }

public function getFechacuota(){
    return $this->fechacuota;
  }
  public function setFechacuota($v1){
    $this->fechacuota = $v1; 
  }
public function getMontoTotal(){
    return $this->MontoTotal;
  }
  public function setMontoTotal($v1){
    $this->MontoTotal = $v1; 
  }
public function getSaldototal(){
    return $this->Saldototal;
  }
  public function setSaldototal($v1){
    $this->Saldototal = $v1; 
  }

  public function getIdscuotas(){
    return $this->Idscuotas;
  }
  public function setIdscuotas($v1){
    $this->Idscuotas = $v1; 
  }
  
  public function getIdcreditocrono(){
    return $this->Idcreditocrono;
  }
  public function setIdcreditocrono($v1){
    $this->Idcreditocrono = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_credito_pagoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_credito_pagoRs )
  {
    $o_CrCreditoPagoBN = new CrCreditoPagoBN();
    $o_CrCreditoPagoBN->setIdpago( $o_Cr_credito_pagoRs['idpago'] );
    $o_CrCreditoPagoBN->setTipopago( $o_Cr_credito_pagoRs['tipopago'] );
    $o_CrCreditoPagoBN->setFechatrx( $o_Cr_credito_pagoRs['fechatrx'] );
    $o_CrCreditoPagoBN->setMontopago( $o_Cr_credito_pagoRs['montopago'] );
    $o_CrCreditoPagoBN->setFechacreacion( $o_Cr_credito_pagoRs['fechacreacion'] );
    $o_CrCreditoPagoBN->setUsauriocreacion( $o_Cr_credito_pagoRs['usauriocreacion'] );
    $o_CrCreditoPagoBN->setEliminado( $o_Cr_credito_pagoRs['eliminado'] );
    $o_CrCreditoPagoBN->setFechaeliminado( $o_Cr_credito_pagoRs['fechaeliminado'] );
    $o_CrCreditoPagoBN->setUsuarioeliminado( $o_Cr_credito_pagoRs['usuarioeliminado'] );
    $o_CrCreditoPagoBN->setNumerorecibo( $o_Cr_credito_pagoRs['numerorecibo'] );
    $o_CrCreditoPagoBN->setBanco( $o_Cr_credito_pagoRs['banco'] );
    $o_CrCreditoPagoBN->setNumerooperacion( $o_Cr_credito_pagoRs['numerooperacion'] );
    $o_CrCreditoPagoBN->setFechaoperacion( $o_Cr_credito_pagoRs['fechaoperacion'] );
    $o_CrCreditoPagoBN->setObservacion( $o_Cr_credito_pagoRs['observacion'] );
    $o_CrCreditoPagoBN->setIdcuota( $o_Cr_credito_pagoRs['idcuota'] );
    $o_CrCreditoPagoBN->setIdcreditocrono( $o_Cr_credito_pagoRs['idcreditocrono'] );
    $o_CrCreditoPagoBN->setIdcolaborador( $o_Cr_credito_pagoRs['idcolaborador'] );
    return $o_CrCreditoPagoBN;
  }
}